Update Google Tag Gateway configuration
PUT/zones/{zone_id}/settings/google-tag-gateway/config
Updates the Google Tag Gateway configuration for a zone.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Body ParametersJSON
endpoint: string
Specifies the endpoint path for proxying Google Tag Manager requests. Use an absolute path starting with ’/’, with no nested paths and alphanumeric characters only (e.g. /metrics).
Update Google Tag Gateway configuration
curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/settings/google-tag-gateway/config \
-X PUT \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"enabled": true,
"endpoint": "/metrics",
"hideOriginalIp": true,
"measurementId": "GTM-P2F3N47Q",
"setUpTag": true
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"enabled": true,
"endpoint": "/metrics",
"hideOriginalIp": true,
"measurementId": "GTM-P2F3N47Q",
"setUpTag": true
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"enabled": true,
"endpoint": "/metrics",
"hideOriginalIp": true,
"measurementId": "GTM-P2F3N47Q",
"setUpTag": true
}
}